/**
 * @typedef {import('../types/DesignToken.d.ts').Dictionary} Dictionary
 * @typedef {import('../types/DesignToken.d.ts').TransformedToken} TransformedToken
 * @typedef {import('../types/Config.d.ts').PlatformConfig} PlatformConfig
 * @typedef {import('../types/File.d.ts').File} File
 */
/**
 * Takes the style token object and a format and returns a
 * string that can be written to a file.
 * @memberOf StyleDictionary
 * @param {File} file
 * @param {PlatformConfig} platform
 * @param {Dictionary} dictionary
 */
export default function buildFile(file: File, platform: import("../types/Config.d.ts").PlatformConfig | undefined, dictionary: Dictionary): null | undefined;
export type Dictionary = import('../types/DesignToken.d.ts').Dictionary;
export type TransformedToken = import('../types/DesignToken.d.ts').TransformedToken;
export type PlatformConfig = import('../types/Config.d.ts').PlatformConfig;
export type File = import('../types/File.d.ts').File;
